getAtlasLabels {arf3DS4} | R Documentation

## Find anatomical atlas labels.

### Description

getAtlasLabels finds anatomical atlas labels for a set of coordinates (either native ARF space or standard MNI space). It requires a working copy of FSL.

### Usage

    getAtlasLabels(coordinates, registration, coortype = c("arf", "mni"),
     atlas = c("both", "Talairach", "HarvardOxford"), ...)

### Arguments

`coordinates` | Matrix with three columns (x,y,z) containing coordinates of a region. Multiple regions are in the rows of the matrix.
`registration` | A "registration" object belonging to the data the coordinates are from (see `registration`).
`coortype` | In what coordinate space are the coordinates (ARF native or MNI space).
`atlas` | For which atlases should the labels be returned? Currently only 'talairach' and 'harvardOxford' are available.
`...` | Arguments passed to the atlas lookup functions (`FSLDIR` indicates the FSL directory, `which` is '1mm' or '2mm')

### Details

getAtlasLabels only works with a working copy of a full FSL installation (>=4.1).

### Value

Returns a list of length `nrow(coordinates)` with a `talairach` and/or a `harvard` slot containing the labels.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### References

See http://www.fmrib.ox.ac.uk/fsl/ on how to obtain FSL and licences. See http://www.fmrib.ox.ac.uk/fsl/data/atlas-descriptions.html on information on the atlases.

### See Also

`registration`, `model`, `setRegFiles`

[Package arf3DS4 version 2.5-10 Index]